# graph_networks

Train different types of Graph Convolutional Netowks using [TensorFlow](https://www.tensorflow.org/), [Keras](https://keras.io/), [Spektral](https://spektral.graphneural.network/) and an own implementation of [EdgeConvolutions](https://arxiv.org/abs/1801.07829)
Provided Examples:
- Semi-supervised classification of the "Karate Club" network
- Chebyshev convolutions using MNIST proected on regular euclidean graphs
- EdgeConvolutions to reconstruct signal patterns on a sphere

Slides can be found at [HAP Workshop 2020, RWTH Aachen](https://indico.scc.kit.edu/event/669/sessions/1823/#20200217)

## Semi-supervised Classification of the "Karate Club" network
[Comput Softw Big Sci (2018) 2: 4.](https://link.springer.com/article/10.1007%2Fs41781-018-0019-7).


## Chebyshev convolutions using MNIST proected on regular euclidean graph
[Comput Softw Big Sci (2018) 2: 4.](https://link.springer.com/article/10.1007%2Fs41781-018-0019-7).


## EdgeConvolutions to reconstruct signal patterns on a sphere
[Comput Softw Big Sci (2018) 2: 4.](https://link.springer.com/article/10.1007%2Fs41781-018-0019-7).
<img src="images/critic_loss.svg" alt="generator_machine" width="650"/>
